/*------------------------------------------------------------------------
  File        : WebApp/EC/BL/RepairCosts.i
  Purpose     : 
  Syntax      : 
  Description : 
  Author(s)   : marc
  Created     : 31-08-2018 16:57:29
  Syntax      : 
------------------------------------------------------------------------*/

/* ***************************  Main Block  *************************** */

DEFINE TEMP-TABLE ttRepairCosts BEFORE-TABLE bttRepairCosts
    FIELD amount_part LIKE ec-repair-costs.amount_part
    FIELD approved LIKE ec-repair-costs.approved
    FIELD calc_total_line AS DECIMAL LABEL "Total"
    FIELD companycode LIKE ec-repair-costs.companycode
    FIELD edi-component-code LIKE ec-repair-costs.edi-component-code SERIALIZE-NAME "edi_component_code"
    FIELD edi-component-material LIKE ec-repair-costs.edi-component-material SERIALIZE-NAME "edi_component_material"
    FIELD edi-damage-code LIKE ec-repair-costs.edi-damage-code SERIALIZE-NAME "edi_damage_code"
    FIELD edi-height LIKE ec-repair-costs.edi-height SERIALIZE-NAME "edi_height"
    FIELD edi-length LIKE ec-repair-costs.edi-length SERIALIZE-NAME "edi_length"
    FIELD edi-location LIKE ec-repair-costs.edi-location SERIALIZE-NAME "edi_location"
    FIELD edi-reair-code LIKE ec-repair-costs.edi-reair-code SERIALIZE-NAME "edi_reair_code"
    FIELD edi-width LIKE ec-repair-costs.edi-width SERIALIZE-NAME "edi_width"
    FIELD hours LIKE ec-repair-costs.hours
    FIELD hrs_time LIKE ec-repair-costs.hrs_time
    FIELD partcode LIKE ec-repair-costs.partcode
    FIELD repair_refnr LIKE ec-repair-costs.repair_refnr
    FIELD tariff_hour LIKE ec-repair-costs.tariff_hour
    FIELD tariff_part LIKE ec-repair-costs.tariff_part
    FIELD weartear LIKE ec-repair-costs.wearTear
    FIELD xref_part AS CHARACTER LABEL "Part description"
.

DEFINE DATASET dsRepairCosts FOR ttRepairCosts.