/*------------------------------------------------------------------------
  File        : WebApp/EC/BL/RepairTariff.i
  Purpose     : 
  Syntax      : 
  Description : 
  Author(s)   : marc
  Created     : 31-08-2018 16:57:31
  Syntax      : 
------------------------------------------------------------------------*/

/* ***************************  Main Block  *************************** */

DEFINE TEMP-TABLE ttRepairTariff BEFORE-TABLE bttRepairTariff
    FIELD companycode LIKE ec-repair-tariff.companycode
    FIELD edi-component-code LIKE ec-repair-tariff.edi-component-code SERIALIZE-NAME "edi_component_code"
    FIELD edi-component-material LIKE ec-repair-tariff.edi-component-material SERIALIZE-NAME "edi_component_material"
    FIELD edi-damage-code LIKE ec-repair-tariff.edi-damage-code SERIALIZE-NAME "edi_damage_code"
    FIELD edi-reair-code LIKE ec-repair-tariff.edi-reair-code SERIALIZE-NAME "edi_reair_code"
    FIELD hours LIKE ec-repair-tariff.hours
    FIELD hrs_time LIKE ec-repair-tariff.hrs_time
    FIELD ind_weartear LIKE ec-repair-tariff.ind_wearTear
    FIELD partcode LIKE ec-repair-tariff.partcode
    FIELD repairshopcode LIKE ec-repair-tariff.repairshopcode
    FIELD tariff_hour LIKE ec-repair-tariff.tariff_hour
    FIELD tariff_part LIKE ec-repair-tariff.tariff_part
    FIELD xref_part AS CHARACTER LABEL "Part description"
    FIELD xref_part_margin AS CHARACTER LABEL "Margin"
.

DEFINE DATASET dsRepairTariff FOR ttRepairTariff.